diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index c88bcaa7df..7be1871b47 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -6396,28 +6396,29 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>pubgencols</structfield> <type>char</type>
+       <structfield>pubviaroot</structfield> <type>bool</type>
       </para>
       <para>
-       Controls how to handle generated column replication when there is no
-       publication column list:
-       <literal>n</literal> = generated columns in the tables associated with
-       the publication should not be replicated,
-       <literal>s</literal> = stored generated columns in the tables associated
-       with the publication should be replicated.
+       If true, operations on a leaf partition are replicated using the
+       identity and schema of its topmost partitioned ancestor mentioned in the
+       publication instead of its own.
       </para></entry>
      </row>
 
      <row>
       <entry role="catalog_table_entry"><para role="column_definition">
-       <structfield>pubviaroot</structfield> <type>bool</type>
+       <structfield>pubgencols_type</structfield> <type>char</type>
       </para>
       <para>
-       If true, operations on a leaf partition are replicated using the
-       identity and schema of its topmost partitioned ancestor mentioned in the
-       publication instead of its own.
+       Controls how to handle generated column replication when there is no
+       publication column list:
+       <literal>n</literal> = generated columns in the tables associated with
+       the publication should not be replicated,
+       <literal>s</literal> = stored generated columns in the tables associated
+       with the publication should be replicated.
       </para></entry>
      </row>
+
     </tbody>
    </tgroup>
   </table>
